Bug 90821 - no lilo installed -> lilo still gets messed up
no lilo installed -> lilo still gets messed up
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 06:54 EDT by Göran Schultz
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 18:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Schultz 2003-05-14 06:54:57 EDT
Description of problem:
New RH9 installion / on empty partition, /boot shared with other RH versions:
choose NOT to install LILO, still lilo gets messed up (solution:
boot machine with boot rescue disk, rerun lilo -C /oldetc/lilo.conf )

Version-Release number of selected component (if applicable):
RH9

How reproducible:
done 4 removable disk partitions with new RH9, always same problem 

Steps to Reproduce:
1. make new installation without installing lilo, new boot disk works fine
2. old lilo installed on /boot partition gets messed up (needs to "lilo")
3.
    
Actual results:


Expected results:
if I don't install lilo, nothing in that respect should be touched even if I
share the
/boot partition with other RH versions

Additional info:
if a hard disk has had grub previously, all old partitions seem to get messed up
(only one hard disk experience, no desire to use grub further!)
Comment 1 Jeremy Katz 2003-05-16 18:14:31 EDT
Unfortunately, with the way that lilo does boot sectors, this doesn't work.   We
don't install lilo unless you specifically request installing lilo as your boot
loader with our current codebase, though, so that should work around the problem.

Note You need to log in before you can comment on or make changes to this bug.